Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ClientRequestInterceptor_Adapter.h File Reference

`#include "TAO_Export.h"`
`#include "ace/CORBA_macros.h"`
`#include "tao/SystemException.h"`
`#include "tao/Invocation_Utils.h"`

Include dependency graph for ClientRequestInterceptor_Adapter.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | PortableInterceptor
namespace | CORBA
namespace | TAO
## Classes
class | TAO::ClientRequestInterceptor_Adapter
| A convenient helper class to invoke registered client request interceptors. More...
## Typedefs
typedef ClientRequestInterceptor * | ClientRequestInterceptor_ptr
typedef CORBA::Short | ReplyStatus

## Detailed Description

Id
  ClientRequestInterceptor_Adapter.h,v 1.12 2005/12/22 14:54:50 elliott_c Exp

This file an adapter class to simplify the support of interceptors.

Author:
  Nanbor Wang <nanbor@cs.wustl.edu>

  Ossama Othman <ossama@uci.edu>

  Kirthika Parameswaran <kirthika@cs.wustl.edu>

## Typedef Documentation

typedef ClientRequestInterceptor * PortableInterceptor::ClientRequestInterceptor_ptr

typedef CORBA::Short PortableInterceptor::ReplyStatus